package msigi.netgpibc;

// Stores information about the status after communication operaton returned
public class CommStatus {

	public static final int NO_ERROR = 0;
	public static final int ERROR_UNKNOWN = 1;
	public static final int ERROR_TIMEOUT = 2;
	public static final int ERROR_COMM_FATAL = 3;
	public static final int ERROR_COMM_TRIVIAL = 4;
	public static final int ERROR_GPIB = 5;

	public boolean isConnected = false;
	public int errorNum = 0;
	public String errorMessage = null;
	public String readMessage = null;

}
